import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (a, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, c = a.length - 1, i; c >= 0; c--)
    (i = a[c]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && m(t, s, e), e;
};
let o = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--microsoftCircleLarge", this.class = "c-pieIcon c-pieIcon--microsoftCircleLarge", this.name = "IconSocialMicrosoftCircleLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--microsoftCircleLarge"><path d="M16 28.25a12.25 12.25 0 1 1 0-24.5 12.25 12.25 0 0 1 0 24.5ZM16 5.5a10.5 10.5 0 1 0 0 21 10.5 10.5 0 0 0 0-21Z"></path><path d="M10 10h5.5v5.5H10V10Z"></path><path d="M10 16.5h5.5V22H10v-5.5Z"></path><path d="M16.5 10H22v5.5h-5.5V10Z"></path><path d="M16.5 16.5H22V22h-5.5v-5.5Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-social-microsoft-circle-large")
], o);
export {
  o as IconSocialMicrosoftCircleLarge
};
